Skip to main content
GET
/
v1
/
surface
/
content
Get surface content
curl --request GET \
  --url https://content.{region}.api.aampe.com/v1/surface/content \
  --header 'X-API-Key: <api-key>'
[
  {
    "surface_id": "eb223fbc-9065-4ff0-ae2a-c47c623bff07",
    "assignment_id": "2ceb1da8-b6f7-4089-b55d-5ba743389cea",
    "n_alternates": 1,
    "control": {
      "min_gap_days": 1
    },
    "alternates": [
      {
        "alternate_assignment_id": "226b4d62-c25b-41bf-b45b-fd3d65120091"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://kb.aampe.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

contact_id
string
required

The ID of the user for which you want to retrieve content.

surface_id
string<uuid>[]
required

The UUID v4 IDs of the surfaces for which you want to retrieve content.

allow_unassigned
boolean
default:false

When true, surfaces without personalized content for this user may still return a default variant from Aampe. When false, those surfaces are skipped; the API returns 404 if no requested surface can be returned.

Response

Successful Response

surface_id
string<uuid>
required

UUID v4 id for the surface

Example:

"eb223fbc-9065-4ff0-ae2a-c47c623bff07"

assignment_id
string<uuid>
required

Identifier for this content assignment in the response.

Example:

"2ceb1da8-b6f7-4089-b55d-5ba743389cea"

n_alternates
integer
required

Total number of alternates.

Example:

1

control
SurfaceControl · object
required
alternates
SurfaceAlternate · object[]
required